Bug 814880 - TeXlive: beamerposter, listings, and columns broken
TeXlive: beamerposter, listings, and columns broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 19:28 EDT by W. Michael Petullo
Modified: 2013-07-02 19:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-07 04:19:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2012-04-20 19:28:55 EDT
Description of problem:
I am trying to create a poster using beamerposter. The poster uses the listings package for source listings. Trying to generate a PDF using pdflatex fails as noted below.

Version-Release number of selected component (if applicable):
texlive-beamerposter-2011-8.1.07.svn17066.noarch

How reproducible:
Every time

Steps to Reproduce:
\documentclass[professionalfonts,final]{beamer}

\usepackage[orientation=landscape,size=a0,scale=1.4]{beamerposter}

\title{Title}
\author{Author}
\institute{Institution}
\date{}

\begin{document}
  \begin{frame}[fragile]
    \begin{columns}
    \end{columns}
  \end{frame}
\end{document}
  
Actual results:
pdflatex poster
[...]
(/usr/share/texlive/texmf-dist/tex/latex/beamer/translator/dicts/translator-the
orem-dictionary/translator-theorem-dictionary-English.dict) (./poster.nav))
Runaway argument?
! File ended while scanning use of \next.
<inserted text> 
                \par 
<*> poster
          
?

Expected results:
pdflatex should generate the poster.

Additional info:
It seems that the fragile option to frame does not like columns. But fragile is required to use the listings package effectively.
Comment 1 W. Michael Petullo 2012-09-09 22:46:36 EDT
This seems fixed in the current Fedora 17 TeX Live 2012 packages (http://jnovy.fedorapeople.org/texlive/2012/packages.fc17/), but I do not presently have Fedora 16 available to test.
Comment 2 Jindrich Novy 2012-10-07 04:19:40 EDT
Confirming it is fixed by TeX Live 2012. It is currently included in rawhide.
Comment 3 Fedora Update System 2012-10-20 01:26:44 EDT
texlive-2012-3.20121019_r28030.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2012-3.20121019_r28030.fc18

Note You need to log in before you can comment on or make changes to this bug.